vibrato
	db $00,$01,$02,$01 
	db $00,$81,$82,$81
	
snare_freq
	db $B5,$A4,$73

bass_freq
	dw $15E,$A9,$40

	align 256
vol_default
	db 4,6,8,8,8,7,7,7,6
	db 6,6,5,5,5,4,4,4
vol_4	db 4
	db $FF
	
vol_3	db 3
	db $FF
	
vol_main
	db 8,8,7,7,6,6,5,5
	db 5,5,5,5,5,5,5,5
	db 8,8,7,7,6,6,5,5
	db 8,8,7,7,6,6,5,5
	db 8,8,7,7,6,6,5,5
	db 8,8,7,7,6,6,5,5
	db $FF
	
vol_mid
	db 8,8,7,7,6,6,5,5
	db 1,1,1,1,1,1,1,1
	db 8,8,7,7,6,6,5,5
	db 8,8,7,7,6,6,5,5
	db 8,8,7,7,6,6,5,5
	db 8,8,7,7,6,6,5,5
	db $FF
	
vol_down
	db 8,8,7,7,6,6,5,5
	db 4,4,3,3,2,2,1
vol_1	db 1
	db $FF
	
vol_quiet
	db 8,6,4,4,4,3,3,3
	db 3,3,3,3,2,2,2,2
	db 8,6,4,4,4,3,3,3
	db 8,6,4,4,4,3,3,3
	db 8,6,4,4,4,3,3,3
	db 3,3,3,3,2,2,2
vol_2	db 2
	db $FF

Channel1
	dw pat_intro1
	;
	dw pat_bass,pat_bass,pat_bass,pat_bass,pat_bass
	;	
	dw pat_bass,pat_bass_fill
	;
	dw pat_bass_mid
	dw pat_bass_g,pat_bass_g
	
	dw pat_down1,pat_down1,pat_down1,pat_down1
	
	dw pat_bass_beg,pat_bass_beg,pat_bass_beg,pat_bass_beg,pat_bass_beg,pat_bass_beg,pat_bass_beg
	
	dw pat_bass_q,pat_bass_q,pat_bass,pat_bass_fill
	
	dw pat_bass_mid
	dw pat_bass_g,pat_bass_g

	dw pat_bass_end,pat_bass_end,pat_bass_end,pat_bass_end
	dw pat_bass_coda
	
	dw 0
	
	dw pat_quiet1,0
	
Channel2
	dw pat_intro2
	
	dw pat_lead1,pat_lead1,pat_quiet1
	
	dw pat_lead2
	;
	dw pat_lead_mid
	dw pat_lead_g1,pat_lead_g2,pat_lead_g1,pat_lead_g2,pat_lead_g1,pat_lead_g1,pat_lead_g3,pat_lead_g3

	dw pat_down2
	
	dw pat_beg0,pat_beg1,pat_beg1,pat_beg2,pat_beg3,pat_beg3,pat_beg4
	
	dw pat_buildup
	
	dw pat_lead_mid
	dw pat_lead_g1,pat_lead_g2,pat_lead_g1,pat_lead_g2,pat_lead_g1,pat_lead_g1,pat_lead_g3,pat_lead_g3

	dw pat_lead2,pat_lead3
	dw pat_coda
	
	dw 0
	
	dw pat_quiet1,0

Channel3
	dw pat_intro_arp
	
	dw pat_arp1,pat_arp1,pat_quiet1
	;
	dw pat_quiet1,pat_quiet1
	;
	dw pat_quiet1
	dw pat_quiet1,pat_arp_g
	
	dw pat_quiet1,pat_quiet1,pat_quiet1,pat_quiet1
	
	dw pat_arp_lead,pat_arp_lead,pat_arp_lead,pat_arp_lead,pat_arp_lead,pat_arp_lead,pat_arp_lead
	;
	dw pat_quiet1,pat_arp_lead,pat_arp_lead,pat_arp_lead
	;
	dw pat_quiet1
	dw pat_quiet1,pat_arp_g

	dw pat_arp_lead,pat_arp_lead,pat_arp_lead,pat_arp_lead
	dw pat_arp_coda
	
	dw 0 

	dw pat_quiet1,0
	
	
LEN = $40

speed = 18
spd = 8

bdr = $F1
snr = $F2
sn = 28

;pat_quiet
;	db $F0
;	db LEN+speed*6
;	db OFF,OFF,OFF,OFF
;	db OFF,OFF,OFF,OFF
;	db END_MARK
	
pat_quiet1
	db $F0
	db LEN+spd*6
	db OFF,OFF,OFF,OFF
	db END_MARK
	
pat_intro1
	db SET_VOLTAB,vol_default & 255
	db $F0,LEN+speed*4,OFF,OFF,OFF,OFF
	db $F5
	db LEN+speed
	db G0
	db C1,G1,G1,F1
	db Di1,D1,C1,Ai0
	db C1,D1,Di1,F1
	db G1
	db SET_VOLTAB,vol_4 & 255
	db G1,G1,G1
	db OFF,OFF,OFF,OFF
	db OFF,OFF,OFF,OFF
	db OFF,OFF,OFF
	db SET_VOLTAB,vol_default & 255
	db G0
	db C1,G1,G1,F1
	db Di1,D1,C1,Ai0
	db C1
	db SET_VOLTAB,vol_4 & 255
	db C1,C1,C1
	db OFF,OFF,OFF
	db SET_VOLTAB,vol_default & 255
	db G0
	db C1,G1,G1,F1
	db Di1,D1,C1,Ai0
	db C1
	db SET_VOLTAB,vol_4 & 255
	db LEN+speed*8
	db C1
	db LEN+1+2+3+4+5+6+7+8
	db C1
	db SET_VOLTAB,vol_3 & 255
	db LEN+speed+8
	db C1
	db SET_VOLTAB,vol_2 & 255
	db C1
	db SET_VOLTAB,vol_1 & 255
	db C1
	db OFF,OFF
	db END_MARK
	
pat_intro2
	db $F0,LEN+speed*4,OFF,OFF,OFF,OFF
	db OFF,OFF,OFF,OFF,OFF,OFF,OFF,OFF,OFF
	db $F5
	db LEN+speed
	db OFF
	db C3,G3,G3,F3
	db Di3,D3,C3,Ai2
	db C3,OFF,OFF,OFF
	;
	db OFF,OFF,OFF,OFF
	db C3
	db LEN+speed+1
	db G3
	db LEN+speed+2
	db G3         
	db LEN+speed+3
	db F3
	db LEN+speed+4
	db Di3        
	db LEN+speed+5
	db D3         
	db LEN+speed+6
	db C3         
	db LEN+speed+7
	db Ai2        
	db LEN+speed+8
	db C3,C3,C3,C3
	db OFF,OFF
	db END_MARK

pat_intro_arp
	db $F3
	db LEN+speed
	db G0,C1,Di1,D1
	;
	db G1,C2,Di2,D2
	db G1,C2,Di2,D2
	db G1,C2,Di2,D2
	db G1,C2,Di2,D2
	db G1,C2,Di2,D2
	db G1,C2,Di2,D2
	db G1,C2,Di2,D2
	db G1,C2,Di2,D2
	db G1,C2,Di2,D2
	db G1,C2,Di2,D2
	db G1,C2,Di2,D2
	db G1,C2,Di2,D2
	db G1,C2,Di2,D2
	db G1,C2,Di2,D2
	db G1,C2,Di2,D2
	db G1,C2,Di2,D2
	db G1
	;
	db C2
	db LEN+speed+1
	db Di2
	db LEN+speed+2
	db D2         
	db LEN+speed+3
	db G1
	db LEN+speed+4
	db C2        
	db LEN+speed+5
	db Di2        
	db LEN+speed+6
	db D2         
	db LEN+speed+7
	db G1        
	db LEN+speed+8
	db C2,OFF,OFF,OFF
	db OFF,OFF
	db END_MARK
	
	;
	; ---
	; 
	
pat_drums_only
	db SET_VOLTAB,vol_default & 255
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, OFF
	db snr,LEN+1,26,        LEN+speed-1, OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db snr,LEN+1,26,        LEN+speed-1, OFF
	db snr,LEN+1,26,        LEN+speed-1, OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db snr,LEN+1,26,        LEN+speed-1, OFF
	;
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, OFF
	db snr,LEN+1,26,        LEN+speed-1, OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db snr,LEN+1,26,        LEN+speed-1, OFF
	db snr,LEN+1,26,        LEN+speed-1, OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db snr,LEN+1,26,        LEN+speed-1, OFF
	;
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, OFF
	db snr,LEN+1,26,        LEN+speed-1, OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db snr,LEN+1,26,        LEN+speed-1, OFF
	db snr,LEN+1,26,        LEN+speed-1, OFF
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db snr,LEN+1,26,        LEN+speed-1, OFF
	;
	db bdr,LEN+3,C1,    $F0,LEN+speed-3, OFF
	db snr,LEN+1,26,        LEN+speed-1, OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	db snr,LEN+1,26,        LEN+speed-1, OFF
	db snr,LEN+1,26,        LEN+speed-1, OFF
	db snr,LEN+3,29,    $F0,LEN+speed-3, OFF
	db snr,LEN+3,28,    $F0,LEN+speed-3, OFF
	db snr,LEN+3,27,    $F0,LEN+speed-3, OFF
	;
	db END_MARK
	
pat_bass
	db SET_VOLTAB,vol_main & 255
	db bdr,LEN+3,C1,$F0,LEN+spd*4-3, C0
	db LEN+1,Di0,LEN+spd-1,C0
	db LEN+1,Di0,LEN+spd-1,C0
	;
	db bdr,LEN+3,C1,$F0,LEN+spd*4-3, C0
	db LEN+1,Di0,LEN+spd-1,C0
	db LEN+1,Di0,LEN+spd-1,C0
	;
	db bdr,LEN+3,C1,$F0,LEN+spd*4-3, C0
	db LEN+1,Di0,LEN+spd-1,C0
	db LEN+1,Di0,LEN+spd-1,C0
	;
	db bdr,LEN+3,C1,$F0,LEN+spd*4-3, C0
	db LEN+1,Di0,LEN+spd-1,C0
	db LEN+1,Di0,LEN+spd-1,C0
	db END_MARK
	
pat_bass_beg
	db SET_VOLTAB,vol_quiet & 255
	db bdr,LEN+3,C1,$F0,LEN+spd*4-3, C0
	db LEN+1,Di0,LEN+spd-1,C0
	db LEN+1,Di0,LEN+spd-1,C0
	;
	db bdr,LEN+3,C1,$F0,LEN+spd*4-3, C0
	db LEN+1,Di0,LEN+spd-1,C0
	db LEN+1,Di0,LEN+spd-1,C0
	;
	db bdr,LEN+3,C1,$F0,LEN+spd*4-3, C0
	db LEN+1,Di0,LEN+spd-1,C0
	db LEN+1,Di0,LEN+spd-1,C0
	;
	db bdr,LEN+3,C1,$F0,LEN+spd*4-3, C0
	db LEN+1,Di0,LEN+spd-1,C0
	db LEN+1,Di0,LEN+spd-1,C0
	db END_MARK
	
pat_bass_fill
	db SET_VOLTAB,vol_main & 255
	db bdr,LEN+3,C1,$F0,LEN+spd*4-3, C0
	db LEN+1,Di0,LEN+spd-1,C0
	db LEN+1,Di0,LEN+spd-1,C0
	;
	db bdr,LEN+3,C1,$F0,LEN+spd*4-3, C0
	db LEN+1,Di0,LEN+spd-1,C0
	db LEN+1,Di0,LEN+spd-1,C0
	;
	db bdr,LEN+3,C1,$F0,LEN+spd*3-3, C0
	db bdr,LEN+3,C1,$F0,LEN+spd-3, C0
	db bdr,LEN+3,C1,$F0,LEN+spd-3, C0
	db bdr,LEN+3,C1,$F0,LEN+spd-3, C0
	;
	db bdr,LEN+3,C1,$F0,LEN+spd*2-3, C0
	db bdr,LEN+3,C1,$F0,LEN+spd-3, C0
	db snr,LEN+3,27,$F0,LEN+spd-3, C0
	db snr,LEN+3,27,$F0,LEN+spd-3, C0
	db snr,LEN+3,27,$F0,LEN+spd-3, C0
	db END_MARK
	
pat_bass_q
	db SET_VOLTAB,vol_main & 255
	db LEN+spd*6,C0,C0,C0,C0
	db END_MARK
	
pat_bass_end
	db SET_VOLTAB,vol_main & 255
	db bdr,LEN+3,C1,$F0,LEN+spd*4-3, C1
	db LEN+1,Di0,LEN+spd-1,C1
	db LEN+1,Di0,LEN+spd-1,C1
	;
	db bdr,LEN+3,C1,$F0,LEN+spd*4-3, Ai0
	db LEN+1,Di0,LEN+spd-1,Ai0
	db LEN+1,Di0,LEN+spd-1,Ai0
	;
	db bdr,LEN+3,C1,$F0,LEN+spd*4-3, Gi0
	db LEN+1,Di0,LEN+spd-1,Gi0
	db LEN+1,Di0,LEN+spd-1,Gi0
	;
	db bdr,LEN+3,C1,$F0,LEN+spd*4-3, G0
	db LEN+1,Di0,LEN+spd-1,G0
	db LEN+1,Di0,LEN+spd-1,G0
	db END_MARK
	
pat_bass_coda
	db SET_VOLTAB,vol_down & 255
	db bdr,LEN+3,C1,$F0,LEN+spd*2-3, C0
	db SET_VOLTAB,vol_1 & 255
	db LEN+spd*4, C0
	;
	db SET_VOLTAB,vol_down & 255
	db bdr,LEN+3,C1,$F0,LEN+spd*2-3, C0
	db SET_VOLTAB,vol_1 & 255
	db LEN+spd*4, C0
	;
	db SET_VOLTAB,vol_down & 255
	db bdr,LEN+3,C1,$F0,LEN+spd*2-3, C0
	db SET_VOLTAB,vol_1 & 255
	db LEN+spd*4, C0
	;
	db SET_VOLTAB,vol_down & 255
	db bdr,LEN+3,C1,$F0,LEN+spd*2-3, C0
	db SET_VOLTAB,vol_1 & 255
	db LEN+spd*4, C0
	;
	; --
	db SET_VOLTAB,vol_down & 255
	db bdr,LEN+3,C1,$F0,LEN+spd*2-3, C0
	db SET_VOLTAB,vol_1 & 255
	db LEN+spd*4, C0
	db LEN+spd*6, C0,C0,C0
	;
	db END_MARK
	
pat_bass_mid
	db SET_VOLTAB,vol_mid & 255
	db bdr,LEN+3,C0,    $F0,LEN+spd-3, C0,LEN+spd
	db C0,C0
	db snr,LEN+3,27,    $F0,LEN+spd-3, C0,LEN+spd
	db D0,Di0
	db bdr,LEN+3,C0,    $F0,LEN+spd-3, Di0,LEN+spd
	db Di0,Di0
	db snr,LEN+3,27,    $F0,LEN+spd-3, Di0,LEN+spd
	db F0,G0
	db bdr,LEN+3,C0,    $F0,LEN+spd-3, Gi0,LEN+spd
	db Gi0,Gi0
	db snr,LEN+3,27,    $F0,LEN+spd-3, Gi0,LEN+spd
	db Gi0,Gi0
	db bdr,LEN+3,C0,    $F0,LEN+spd-3, C1,LEN+spd
	db C1,C1
	db snr,LEN+3,27,    $F0,LEN+spd-3, C1,LEN+spd
	db C1,OFF
	db END_MARK
	
pat_bass_g
	db SET_VOLTAB,vol_main & 255
	db bdr,LEN+3,C0,$F0,LEN+spd*6-3, G0
	;
	db snr,LEN+3,27,$F0,LEN+spd*6-3, G0
	;
	db bdr,LEN+3,C0,$F0,LEN+spd*6-3, G0
	;
	db snr,LEN+3,27,$F0,LEN+spd*6-3, G0
	;
	db END_MARK
	
pat_down1
	db SET_VOLTAB,vol_down & 255
	db $F0,LEN+spd*2
	db C1,Ai0,Gi0,Gi0,G0
	db F0,G0,F0,Di0,Di0,D0,C0
	db END_MARK
	
pat_down2
	db $F0,LEN+spd*6*2
	db OFF
	db LEN+spd*5*2
	db OFF
	;
	db $F5,LEN+spd
	db C2,OFF,C2,C2,Ai1,Ai1
	db Gi1,OFF,Gi1,Gi1,G1,G1
	db F1,OFF,G1,G1,F1,F1
	db Di1,OFF,Di1,Di1,D1,D1
	db C1,C1
	;
	db $F0,LEN+spd*6*2
	db OFF
	db LEN+spd*5*2
	db OFF
	;
	db SET_ARP,$0C
	db $F4,LEN+spd*2
	db C2,C2,Ai1,Gi1,Gi1,G1
	db F1,G1,F1,Di1,Di1,D1
	db C1
	;
	db END_MARK
	
pat_lead1
	db $F5
	db LEN+spd*6
	db OFF,OFF,OFF,OFF
	db C2,Ai1,Gi1,G1
	db END_MARK
	
pat_lead2
	db $F5
	db LEN+spd
	db Di2,Di2,D2,Di2,C2,C2
	db Di2,Di2,D2,Di2,C2,C2
	db Di2,Di2,D2,Di2,C2,C2
	db Di2,Di2,D2,Di2,C2,C2
	db SET_ARP,$04,$F4,Di2,Di2,SET_ARP,$03,D2,SET_ARP,$04,Di2,SET_ARP,$03,C2,C2
	db SET_ARP,$04,$F4,Di2,Di2,SET_ARP,$03,D2,SET_ARP,$04,Di2,SET_ARP,$03,C2,C2
	db SET_ARP,$04,$F4,Di2,Di2,SET_ARP,$03,D2,SET_ARP,$04,Di2,SET_ARP,$03,C2,C2
	db SET_ARP,$04,$F4,Di2,Di2,SET_ARP,$03,D2,SET_ARP,$04,Di2,SET_ARP,$03,C2,C2
	db END_MARK
	
pat_lead3
	db $F5
	db LEN+spd
	db Di3,Di3,D3,Di3,C3,C3
	db Di3,Di3,D3,Di3,C3,C3
	db Di3,Di3,D3,Di3,C3,C3
	db Di3,Di3,D3,Di3,C3,C3
	db SET_ARP,$04,$F4,Di3,Di3,SET_ARP,$03,D3,SET_ARP,$04,Di3,SET_ARP,$03,C3,C3
	db SET_ARP,$04,$F4,Di3,Di3,SET_ARP,$03,D3,SET_ARP,$04,Di3,SET_ARP,$03,C3,C3
	db SET_ARP,$04,$F4,Di3,Di3,SET_ARP,$03,D3,SET_ARP,$04,Di3,SET_ARP,$03,C3,C3
	db SET_ARP,$04,$F4,Di3,Di3,SET_ARP,$03,D3,SET_ARP,$04,Di3,SET_ARP,$03,C3,C3
	db END_MARK
	
pat_lead_mid
	db SET_ARP,$0C,$F4
	db LEN+spd
	db C3,C3,C3,C3,Ai2,Gi2
	db G2,G2,G2,G2,F2,Di2
	db F2,F2,F2,F2,G2,F2
	db C2,C2,C2,C2,C2,OFF
	db END_MARK
	
pat_lead_g1
	db $F5
	db LEN+spd
	db G2,A2,B2,C3,D3,Di3
	db END_MARK
pat_lead_g2
	db F3,G3,F3,F3,Di3,OFF
	db END_MARK
pat_lead_g3
	db SET_ARP,$0C,$F4
	db LEN+spd
	db G2,A2,B2,C3,D3,Di3
	db END_MARK
	
pat_beg0
	db $F5,LEN+spd*11
	db OFF,OFF
	db LEN+spd*2,Ai1
	db END_MARK
	
pat_beg1
	db $F5,LEN+spd*2
	db C2,C2,G2,G2,G2,F2
	db Di2,Di2,D2,C2,C2,Ai1
	db END_MARK
	
pat_beg2
	db $F5,LEN+spd*2
	db C2
	db LEN+spd*10
	db OFF,OFF
	db LEN+spd*2,Ai2
	db END_MARK
	
pat_beg3
	db $F5,LEN+spd*2
	db C3,C3,G3,G3,G3,F3
	db Di3,Di3,D3,C3,C3,Ai2
	db END_MARK
	
pat_beg4
	db $F5,LEN+spd*2
	db C3
	db LEN+spd*11
	db OFF,OFF
	db END_MARK
	
pat_buildup
	db $F5
	db LEN+2,Ai1,LEN+spd*6-2,C2
	db LEN+2,Gi1,LEN+spd*6-2,Ai1
	db LEN+2,G1,LEN+spd*6-2,Gi1
	db LEN+2,F1,LEN+spd*6-2,G1
	;
	db LEN+2,Ai2,LEN+spd*6-2,C3
	db LEN+2,Gi2,LEN+spd*6-2,Ai2
	db LEN+2,G2,LEN+spd*6-2,Gi2
	db LEN+2,F2,LEN+spd*6-2,G2
	;
	db SET_ARP,$0C,$F4
	db LEN+spd*6
	db C2,Ai1,Gi1,G1
	db C3,Ai2,Gi2,G2
	db END_MARK
	
pat_coda
	db SET_ARP,$0C,$F4
	db LEN+spd*6
	db C3,Di3,G3,Ai3
	db C4,C4,C4,C4
	db END_MARK
	
pat_arp_g
	db $F0,LEN+spd*6,OFF,OFF,OFF
	db $F3
	db LEN+spd
	db G3,A3,B3,C4,D4,Di4
	db END_MARK
	
pat_arp1
	db $F3
	db LEN+spd*3*6
	db OFF
	db LEN+spd*2
	db OFF,OFF,C3
	db C3,OFF,G3
	db G3,OFF,F3
	db Di3,OFF,D3
	db C3,OFF,OFF
	db END_MARK
	
pat_arp_lead
	db $F3
	db LEN+spd
	db Di3,OFF,D3,Di3,C3,OFF
	db Di3,OFF,D3,Di3,C3,OFF
	db Di3,OFF,D3,Di3,C3,OFF
	db Di3,OFF,D3,Di3,C3,OFF
	db END_MARK
	
pat_arp_coda
	db $F3
	db LEN+spd*6
	db C3,Di3,G3,Ai3
	db C4,OFF,OFF,OFF
	db END_MARK

;[eof]